<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="POSConfigurationGroup">
      <section name="POSConfiguration" type="PantheonRA_Data.Configuration.POSConfigurationSection" allowLocation="true" allowDefinition="Everywhere" />
    </sectionGroup>

  <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
  <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
  </configSections>
  <connectionStrings>
    <!--SLO/HR PRODUCTION CONN STRING-->
    <!--<add name="Master" connectionString="data source=91.195.147.150,50380;initial catalog=PantheonRA_Master;user id=para-win;password=a1571a65fa;App=' datalab PantheonRABO'" providerName="System.Data.EntityClient"/>-->
    <!--<add name="MasterEntityContext" connectionString="metadata=res://*/MasterEntities.MasterEntityContext.csdl|res://*/MasterEntities.MasterEntityContext.ssdl|res://*/MasterEntities.MasterEntityContext.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=91.195.147.150,50380;initial catalog=PantheonRA_Master;persist security info=True;user id=para-win;password=a1571a65fa;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient"/>-->
    <!-- KOSOVO PRODUCTION CONN STRING -->
    <!--<add name="Master" connectionString="data source=46.99.250.23,50383;initial catalog=PantheonRA_Master;user id=para-win;password=a1571a65fa;App=' datalab PantheonRABO'" providerName="System.Data.EntityClient"/>
    <add name="MasterEntityContext" connectionString="metadata=res://*/MasterEntities.MasterEntityContext.csdl|res://*/MasterEntities.MasterEntityContext.ssdl|res://*/MasterEntities.MasterEntityContext.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=46.99.250.23,50383;initial catalog=PantheonRA_Master;persist security info=True;user id=para-win;password=a1571a65fa;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient"/>-->
    <!-- DEVELOPMENT CONN STRING -->
    <add name="Master" connectionString="data source=badger3000.datalab.local;initial catalog=PantheonRA_Master;user id=para-win;password=a1571a65fa;App=' datalab PantheonRABO'" providerName="System.Data.EntityClient" />
    <add name="MasterEntityContext" connectionString="metadata=res://*/MasterEntities.MasterEntityContext.csdl|res://*/MasterEntities.MasterEntityContext.ssdl|res://*/MasterEntities.MasterEntityContext.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=badger3000.datalab.local;initial catalog=PantheonRA_Master;persist security info=True;user id=razvoj;password=8e58d33004;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient" />
    <add name="BusinessEntityContext" connectionString="metadata=res://*/BusinessEntityContext.csdl|res://*/BusinessEntityContext.ssdl|res://*/BusinessEntityContext.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=badger3000.datalab.local;initial catalog=Template_PARA_SI;persist security info=True;user id=razvoj;password=8e58d33004;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient" />
    <add name="BusinessEntities" connectionString="metadata=res://*/Data.BusinessEntities.csdl|res://*/Data.BusinessEntities.ssdl|res://*/Data.BusinessEntities.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=badger3000.datalab.local;initial catalog=ASSECO_DB;persist security info=True;user id=razvoj;password=8e58d33004;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient" />
    <add name="MasterFiscalizationEntities" connectionString="metadata=res://*/Data.MasterFiscalizationEntities.csdl|res://*/Data.MasterFiscalizationEntities.ssdl|res://*/Data.MasterFiscalizationEntities.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=badger3000.datalab.local;initial catalog=PantheonRA_Master;persist security info=True;user id=razvoj;password=8e58d33004;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient" />
    <add name="BusinessFiscalizationEntities" connectionString="metadata=res://*/Data.BusinessFiscalizationEntities.csdl|res://*/Data.BusinessFiscalizationEntities.ssdl|res://*/Data.BusinessFiscalizationEntities.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=badger3000.datalab.local;initial catalog=ASSECO_DB;persist security info=True;user id=razvoj;password=8e58d33004;MultipleActiveResultSets=True;App=' datalab PantheonRABO'&quot;" providerName="System.Data.EntityClient" />
  </connectionStrings>
  <appSettings>
    <add key="ApplicationName" value="PantheonRA_BO" />
    <!--FISCALIZATION LIBRARY SETTINGS-->
    <add key="FiscalizationServiceUrl" value="https://blagajne-test.fu.gov.si:9002/v1/cash_registers" />
    <add key="FiscalizationTestServiceUrl" value="https://blagajne-test.fu.gov.si:9002/v1/cash_registers" />
    <add key="FiscalizationServiceTimeoutMilliseconds" value="10000" />
    <add key="FileStorageRootDirectory" value="C:\temp\data" />
    <add key="FileStorageRequestsDirectory" value="C:\temp\requests" />
    <!--<add key="ForceTestingFiscalizationServiceMasterSiteIds" value="56" />-->
    <!-- <- COMMA SEPARATED LIST OF IDs-->
    <add key="ForceTestingFiscalizationServiceMasterSiteIds" value="" />
    <!--<add key="ForceTestingFiscalizationServiceMasterSiteIds" value="687,21,32" />-->
    <!--END FISCALIZATION LIBRARY SETTINGS-->
    <add key="PAWMasterWebApiUrl" value="https://localhost:44331/api" />
    <add key="PantheonWebApiUrl" value="https://localhost:44331/api" />
    <add key="FiscalizationLocalApiUrl" value="http://localhost:8080/LFPWS/api" />
    <add key="FiscalizationLocalApiDownloadUrl" value="http://ftp.datalab.si/upgrade/rs/release/PAW/PALocalFiscPrinterWS_RS_1002010.exe" />
    <add key="TokenValidityHours" value="11" />
    <add key="ExcelProvider" value="Provider=Microsoft.ACE.OLEDB.12.0;Data Source={0};Extended Properties=&quot;Excel 12.0;HDR=YES;IMEX=1&quot;" />
    <add key="webpages:Version" value="3.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="PreserveLoginUrl" value="true" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="IsHost" value="false" />
    <add key="demoUsername" value="false" />
    <add key="demoDomainName" value="false" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
    <add key="vs:EnableBrowserLink" value="false" />
    <add key="aspnet:MaxJsonDeserializerMembers" value="10000" />
    <add key="ESIRVersion" value="1.1" />
    <add key="ESIRNumber" value="976" />
  </appSettings>
  <POSConfigurationGroup>
    <POSConfiguration>
      <SiteConfig type="backoffice" defaultController="CashRegister" defaultAction="Index" defaultLocalization="SI" defaultLanguage="SI" databaseLocalization="SI" localizationi18n="sl" localizationDate="sl" licencingEnabled="true" />
      <!--<SiteConfig type="backoffice" defaultController="CashRegister" defaultAction="Index" defaultLocalization="EN" defaultLanguage="EN" databaseLocalization="SI" localizationi18n="sl" localizationDate="sl" licencingEnabled="false" />-->
      <!--<SiteConfig type="backoffice" defaultController="CashRegister" defaultAction="Index" defaultLocalization="BA" defaultLanguage="BA" databaseLocalization ="BA" localizationi18n="hr" localizationDate ="hr" />-->
      <!--<SiteConfig type="backoffice" defaultController="CashRegister" defaultAction="Index" defaultLocalization="MK" defaultLanguage="MK" databaseLocalization ="МК" localizationi18n="mk" localizationDate ="mk" />-->
      <!--<SiteConfig type="backoffice" defaultController="CashRegister" defaultAction="Index" defaultLocalization="HR" defaultLanguage="HR" databaseLocalization ="hr" localizationi18n="hr" localizationDate ="hr" />-->
      <!--<SiteConfig type="backoffice" defaultController="Subjects" defaultAction="Index" defaultLocalization="RS" defaultLanguage="RS" databaseLocalization ="RS" localizationi18n="rs" localizationDate ="rs-latin" />-->
      <!--<SiteConfig type="backoffice" defaultController="CashRegister" defaultAction="Index" defaultLocalization="ME" defaultLanguage="CG" databaseLocalization ="ME" localizationi18n="me" localizationDate ="me" licencingEnabled="false"/>-->
      <!--<SiteConfig type="backoffice" defaultController="Subjects" defaultAction="Index" defaultLocalization="XK" defaultLanguage="KO" databaseLocalization ="KS" localizationi18n="RS" localizationDate ="rs-latin"  licencingEnabled="false"/>-->
      <DataConfig dataDir="C:\temp\data" androidLogDir="C:\temp\data" />
      <!-- DEBUG -->
      <EmailConfig smtpAddress="mail.datalab.eu" smtpPort="25" fromEmail="noreply@datalab.eu" resetPasswordUrl="https://badger3000.datalab.local/Account/ResetPassword" />
      <servers>
        <server localization="SI" url="https://www.mobilnipos.eu/" />
        <server localization="HR" url="https://hr.mobilnipos.eu/" />
        <server localization="XK" url="http://46.99.250.23/" />
      </servers>
      <BuilVersionRedirect BuilVersionRedirect="0" BuilVersionMain="602000" BuilVersionV1="601000" BuilVersionV2="600000" BuilVersionV3="600000" />
      <PawUserPasswordEncrypt Encrypt="1" />
      <BlockadeCheck Check="1" />
      <PASyncConfig password="SYNC123" />
    </POSConfiguration>
  </POSConfigurationGroup>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.5.2" />
      </system.Web>
  -->
  <system.web>
    <!--<authentication mode="None" />-->
    <compilation debug="true" targetFramework="4.7.2">
      <assemblies>
        <add assembly="System.Web.Abstractions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Web.Routing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="PantheonRA_Data, Version=1.0.0.0, Culture=neutral" />
        <add assembly="System.Web.Helpers, Version=3.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
        <add assembly="System.Core, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
      </assemblies>
    </compilation>
    <pages validateRequest="true" clientIDMode="AutoID">
      <namespaces>
        <add namespace="System.Web.Helpers" />
        <add namespace="System.Web.Mvc" />
        <add namespace="System.Web.Mvc.Ajax" />
        <add namespace="System.Web.Mvc.Html" />
        <add namespace="System.Web.Routing" />
        <add namespace="System.Web.WebPages" />
        <add namespace="PantheonRA.Base.Mvc.HtmlHelpers" />
        <add namespace="PantheonRA_Data" />
        <add namespace="System.Web.UI.WebControls" />
        <add namespace="System.Drawing" />
        <add namespace="PantheonRA_Data.Localizations.Localizer" />
        <add namespace="PantheonRA.Base.Extensions" />
        <add namespace="PantheonRA.Base" />
        <add namespace="System.Web.Optimization" />
      </namespaces>
    </pages>
    <globalization culture="sl-SI" uiCulture="SI" />
    <httpRuntime maxRequestLength="10240" requestValidationMode="4.0" executionTimeout="110" />
    <sessionState timeout="30" />
    <customErrors mode="Off" defaultRedirect="Error.html" />
  </system.web>
  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true">
      <remove name="FormsAuthentication" />
      <remove name="RoleManager" />
    </modules>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="10485760" />
      </requestFiltering>
    </security>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Razor" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages.Razor" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages.Deployment" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Http" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Configuration" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Windows.Forms" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Drawing" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Data" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Xml" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Primitives" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.0.0" newVersion="1.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Net.Http.Headers" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.0.0.0" newVersion="1.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Unity.Abstractions" publicKeyToken="489b6accfaf20ef0" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.11.6.0" newVersion="5.11.6.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Unity.Container" publicKeyToken="489b6accfaf20ef0" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.10.3.0" newVersion="5.10.3.0" />
      </dependentAssembly>
    </assemblyBinding>
    <legacyHMACWarning enabled="0" />
  </runtime>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="ServiceSoap">
          <security mode="Transport"/>
        </binding>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://edgar.datalab.eu/WSPrs/CompReg.asmx" binding="basicHttpBinding" bindingConfiguration="ServiceSoap" contract="CompRegServiceReference.ServiceSoap" name="ServiceSoap" />
    </client>
    <behaviors>
      <serviceBehaviors>
        <behavior name="">
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="false" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
  </system.serviceModel>
  <system.net>
    <defaultProxy enabled="true" />
  </system.net>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="mssqllocaldb" />
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
</configuration>
